Changeset 4153

Show
Ignore:
Timestamp:
09/07/06 17:56:11 (8 years ago)
Author:
khali
Message:

Use mktemp instead of tempfile to create the temporary config file.
We are already using mktemp elsewhere in the script, and it seems to be
more widely available than tempfile.

Location:
lm-sensors/trunk
Files:
2 modified

Legend:

Unmodified
Added
Removed
  • lm-sensors/trunk/CHANGES

    r4144 r4153  
    4848                   Add new mode W (read word on even register addresses) 
    4949  Program mkpatch: Fix typo breaking f71805f 
     50  Program pwmconfig: Use mktemp instead of tempfile 
    5051  Program sensors: No error messages on missing w83792d fan4-7 (Yuan Mu) 
    5152                   Add smsc47m192 support 
  • lm-sensors/trunk/prog/pwm/pwmconfig

    r3075 r4153  
    466466        echo 
    467467        echo "Saving configuration to $FCCONFIG..." 
    468         tmpfile=`tempfile` || { echo "$0: Cannot create temporary file" >&2; exit 1;  } 
     468        tmpfile=`mktemp -t pwmcfg.XXXXXXXXXX` || { echo "$0: Cannot create temporary file" >&2; exit 1;  } 
    469469        trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15 
    470470        egrep -v '(INTERVAL|FCTEMPS|FCFANS|MAXTEMP|MINTEMP|MINSTART|MINSTOP)' $FCCONFIG >$tmpfile